This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 451817 - Busticated postuninstall scriptlet
Busticated postuninstall scriptlet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 12:25 EDT by Valdis Kletnieks
Modified: 2008-09-24 18:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 18:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-06-17 12:25:36 EDT
Description of problem:
'rpm -q --scripts device-mapper-multipath' contains this:

postuninstall scriptlet (using /bin/sh):
/sbin/ldconfig
if [ "$1" - ge "1" ]; then

which of course throws a complaint at upgrade time:

  Cleanup        : device-mapper-multipath                       [ 91/140] 
/usr/src/redhat/tmp/rpm-tmp.11766: line 2: [: too many arguments

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.8-5.fc10.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.